import { connect } from "umi";
import QuotationAllprogress from "@/mobile/quotation/index.jsx";

function quotation({ dispatch, app, content, location, sModelsId,sProductClassifyId }) {
  const quotationProps = {
    app,
    content,
    dispatch,
    location, // 只传递需要的部分
    sModelsId,
  };
  return <QuotationAllprogress {...quotationProps} />;
}

const mapStateToProps = ({ app, content }) => ({
  app,
  content,
});

export default connect(mapStateToProps)(quotation);